<div class="row c-tool-bar" [formGroup]="toolbarForm">
  <div *ngIf="config.toolbar.showNew" class="div-btn">
    <button class="btn-tb btn-tb-d" (click)="clickNew()">
      <img [src]="'./assets/new.svg'" alt="pencil" class="image">
    </button>
  </div>

  <div class="seperator">
    <div *ngIf="config.toolbar.showSave" class="div-btn">
      <button class="btn-tb btn-tb-d" (click)="clickSave()">
        <img [src]="'./assets/save.svg'" alt="save" class="image">
      </button>
    </div>

    <div *ngIf="config.toolbar.showLoad" class="div-btn">
      <label for="file-upload" class="btn-tb btn-tb-d">
        <input id="file-upload" type="file" (change)="clickLoad($event)">
        <img [src]="'./assets/load.svg'" alt="load" class="image">
      </label>
    </div>
  </div>

  <div *ngIf="config.toolbar.showUndo" class="seperator">
    <div *ngIf="config.toolbar.showUndo" class="div-btn">
      <button class="btn-tb btn-tb-d" (click)="clickUndo()">
        <img [src]="'./assets/undo.svg'" alt="undo" class="image">
      </button>
    </div>

    <div *ngIf="config.toolbar.showRedo" class="div-btn">
      <button class="btn-tb btn-tb-d" (click)="clickRedo()">
        <img [src]="'./assets/redo.svg'" alt="redo" class="image">
      </button>
    </div>
  </div>

  <div class="seperator">
    <div *ngIf="config.toolbar.showTools" class="dropdown">
      <div class="div-btn">
        <button class="btn-tb btn-tb-drop">
          <img [src]="toolsImg" class="image">
        </button>
        <button #tools class="btn-tb btn-tb-arrow" (click)="showTools()">
          <img [src]="'./assets/arrow.svg'" class="image2">
        </button>
      </div>
      <div *ngIf="displayTools" class="dropdown-content">
        <button class="btn btn-tb-down" (click)="clickPencil()">
          <img [src]="'./assets/pencil.svg'" alt="pencil" class="image">
        </button>
        <button class="btn btn-tb-down" (click)="clickRectangle()">
          <img [src]="'./assets/rectangle.svg'" alt="rectangle" class="image">
        </button>
        <button class="btn btn-tb-down" (click)="clickRubber()">
          <img [src]="'./assets/rubber.svg'" alt="rubber" class="image">
        </button>
        <button class="btn btn-tb-down" (click)="clickPipette()">
          <img [src]="'./assets/pipette.svg'" alt="pipette" class="image">
        </button>
      </div>
    </div>

    <div class="dropdown">
      <div class="div-btn">
        <button class="btn-tb btn-tb-drop">
          <img [src]="'./assets/fullscreen.svg'" alt="fullscreen" class="image">
        </button>
        <button #fullscreen class="btn-tb btn-tb-arrow" (click)="showFullscreen()">
          <img [src]="'./assets/arrow.svg'" alt="arrow" class="image2">
        </button>
      </div>
      <div *ngIf="displayFullscreen" class="dropdown-content">
        <button class="btn btn-tb-down" (click)="fullscreenImg()">
          <img [src]="'./assets/picture-white.svg'" alt="picture-white" class="image">
        </button>
        <button class="btn btn-tb-down" (click)="fullscreenSrc()">
          <img [src]="'./assets/source-white.svg'" alt="source-white" class="image">
        </button>
      </div>
    </div>
  </div>

  <div class="seperator">
    <div *ngIf="config.toolbar.showColorPicker" class="div-btn">
      <button [style.background]="selectedColor" type="button" class="btn-tb btn-tb-d" (click)="clickColor($event)">
          <img [src]="paintBoard" alt="paint-board" class="image">
      </button>
    </div>
  </div>

  <div class="seperator">
    <div *ngIf="config.toolbar.showColorPicker" class="div-btn">
      <select *ngIf="config.toolbar.showFormat && isInit" class="format" type="number" formControlName="format">
        <option *ngFor="let f of formats; let i = index" [value]="i">{{f}}</option>
      </select>
    </div>
  </div>

  <div class="seperator">
    <div *ngIf="config.toolbar.showImageEnable" class="div-btn">
      <button class="btn-tb btn-tb-switch">
        <img [src]="'./assets/picture.svg'" alt="picture" class="image">
      </button>
      <div class="btn-tb check-tb-switch">
        <label class="switch image">
            <input type="checkbox" (change)="toggleImg($event)" [checked]="true">
            <span class="slider round"></span>
        </label>
      </div>
    </div>

    <div *ngIf="config.toolbar.showAsciiEnable" class="div-btn">
      <button class="btn-tb btn-tb-switch">
        <img [src]="'./assets/source.svg'" alt="source" class="image">
      </button>
      <div class="btn-tb check-tb-switch">
        <label class="switch image">
            <input type="checkbox" (change)="toggleSrc($event)" [checked]="true">
            <span class="slider round"></span>
        </label>
      </div>
    </div>

    <div *ngIf="config.toolbar.showGridEnable" class="div-btn">
      <button class="btn-tb btn-tb-switch">
        <img [src]="'./assets/grid.svg'" alt="grid" class="image">
      </button>
      <div class="btn-tb check-tb-switch">
        <label class="switch image">
            <input type="checkbox" (change)="toggleGrid($event)" [checked]="true">
            <span class="slider round"></span>
        </label>
      </div>
    </div>
  </div>


  <div class="tooltip" style="float: right">
    <button class="btn-tb btn-tb-d" (click)="clickNew()">
      <img [src]="'./assets/question-mark.svg'" alt="pencil" class="image">
    </button>
    <div class="tooltiptext">
        Icons made by <a href="https://www.flaticon.com/authors/linh-pham" title="Linh Pham">Linh Pham</a>,
        <a href="https://www.flaticon.com/authors/dave-gandy" title="Dave Gandy">Dave Gandy</a>,
        <a href="https://www.flaticon.com/authors/freepik" title="freepik">freepik</a>
        <a href="https://www.flaticon.com/authors/chanut" title="chanut">chanut</a>
        <a href="https://www.flaticon.com/authors/zurb" title="zurb">zurb</a> and
        <a href="https://www.flaticon.com/authors/icomoon" title="icomoon">icomoon</a>
        from <a href="https://www.flaticon.com/" title="Flaticon">www.flaticon.com</a>
        is licensed by <a href="http://creativecommons.org/licenses/by/3.0/" title="Creative Commons BY 3.0" target="_blank">CC 3.0 BY</a>
    </div>
  </div>
</div>
